Name:           python-cma
Version:        1.1.7
Release:        2%{?dist}
Summary:        Covariance Matrix Adaptation Evolution Strategy numerical optimizer

License:        BSD
URL:            https://www.lri.fr/~hansen/cmaes_inmatlab.html#python
Source0:        https://pypi.python.org/packages/8b/f7/2d4033bc016755b71b5f4e1924d50f20d994278a676288869a524b52b68b/cma-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  numpy

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy

%global _description \
A stochastic numerical optimization algorithm for difficult \
(non-convex, ill-conditioned, multi-modal, rugged, noisy) optimization \
problems in continuous search spaces, implemented in Python.

%description %_description

%package -n     python2-cma
Summary:        %{summary}
%{?python_provide:%python_provide python2-cma}

Requires:       numpy
Requires:       python2-matplotlib

%description -n python2-cma %_description

%package -n     python3-cma
Summary:        %{summary}
%{?python_provide:%python_provide python3-cma}

Requires:       python3-numpy
Requires:       python3-matplotlib

%description -n python3-cma %_description

%prep
%autosetup -n cma-%{version}
sed -i '1{\@/usr/bin/env@d}' cma.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-cma
%doc README.txt
%license LICENSE
%{python2_sitelib}/cma.py*
%{python2_sitelib}/cma-*.egg-info

%files -n python3-cma
%doc README.txt
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/cma.py
%{python3_sitelib}/cma-*.egg-info

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 23 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.7-1
- Update to latest version (only license file added)

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1.06-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.06-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Mar 31 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.06-1
- Initial package using pyp2rpm-2.0.0
